local folder, core = ...
	
-- global lookup
local Debug = core.Debug

local LibNameplate = LibStub("LibNameplate-1.0", true)
if not LibNameplate then	error(folder .. " requires LibNameplate-1.0.") return end

local LibNameplateRegistry = LibStub("LibNameplateRegistry-1.0", true)
if not LibNameplateRegistry then	error(folder .. " requires LibNameplateRegistry-1.0.") return end


local LSM = LibStub("LibSharedMedia-3.0")
if not LSM then error(folder .. " requires LibSharedMedia-3.0.") return end


-- local
core.title		= "xenUtil"
-- core.version	= GetAddOnMetadata(folder, "X-Curse-Packaged-Version") or ""
-- core.titleFull	= core.title.." "..core.version
core.addonDir = "Interface\\AddOns\\"..folder.."\\"

core.LibNameplate = LibNameplate
core.LibNameplateRegistry = LibNameplateRegistry
core.LSM = LSM


LibStub("AceAddon-3.0"):NewAddon(core, folder, "AceConsole-3.0", "AceEvent-3.0", "AceSerializer-3.0") 
--~ L = LibStub("AceLocale-3.0"):GetLocale(folder, true)

core.L = LibStub("AceLocale-3.0"):GetLocale(folder, true)
local L = core.L

function xenGetPlateByName(name, maxhp)
	if #strsplit("-",name) <= 1 then
		name = name
		else
		name = select(6,GetPlayerInfoByGUID(name));
	end
	return LibNameplate:GetNameplateByName(name, maxhp)
end

function shouldbedrawn(unit)
	for i=1,#kicks do if kicks[i].unit == unit then return true; end end
end

xenBars={}
function xen_frames()

	for i=1,#kicks do
		
		local plate = xenGetPlateByName(kicks[i].unit)
		-- xenBars[i] = plate
		
		local tempBackdrop = {
		bgFile = kicks[i].kickIcon,
		tileSize = 60,
		edgeFile = "",
		tile = 1,
		edgeSize = 12,
		insets = {
			top = 1, --2
			right = 2, --2
			left = 3, --3
			bottom = 3, --3
				 }
		}
		
		if not xenBars[i] then
		xenBars[i] = CreateFrame("Frame",nil,plate)
		xenBars[i]:SetBackdrop(tempBackdrop)
		xenBars[i]:SetHeight(60)
		xenBars[i]:SetWidth(60)
		xenBars[i]:SetPoint("CENTER",0,-48)
		xenBars[i]:SetFrameStrata("HIGH")
		xenBars[i]:SetClampedToScreen(true)
		end
		
		if kicks[i].cast then
		xenBars[i].CS = xenBars[i]:CreateFontString(nil, "HIGH", "GameFontNormal",xenBars[i])
		xenBars[i].CS:SetText("|cffffffff" .. kicks[i].cast)
		xenBars[i].CS:SetFont("Fonts\\skurri.ttf",25,nil)
		xenBars[i].CS:SetPoint("CENTER", 0, -55)
		
		if xenBars[i].CD then xenBars[i].CD:Hide() end
		xenBars[i].CD = xenBars[i]:CreateFontString(nil, "HIGH", "GameFontNormal",xenBars[i])
		xenBars[i].CD:SetText("|cffffcc00" .. (math.floor((kicks[i].time-GetTime()) * 100)/100))
		xenBars[i].CD:SetFont("Fonts\\skurri.ttf",25,nil)
		xenBars[i].CD:SetPoint("CENTER", 0, -35)
		end
		
		if kicks[i].cast and kicks[i].juked == true then
			kicks[i].juked = false;
		end
		
		if kicks[i].juked == true and not kicks[i].cast then
		xenBars[i].Juke = xenBars[i]:CreateFontString(nil, "HIGH", "GameFontNormal",xenBars[i])
		xenBars[i].Juke:SetText("|cffff6060Juked " .. kicks[i].kick)
		xenBars[i].Juke:SetFont("Fonts\\skurri.ttf",22,nil)
		xenBars[i].Juke:SetPoint("CENTER", 0, -45)
		end
		
	end
	for i=1,#xenBars do
		if xenBars[i] and not kicks[i] then
			if xenBars[i]:IsShown() then
				xenBars[i]:Hide()
			else
				table.remove(xenBars,i);
			end
		end
	end
end
CreateFrame("Frame"):SetScript("OnUpdate",function() xen_frames() end)

